Title: Operator index > By section > Convolution

<!-- libvips/convolution -->

These operations convolve an image in some way, or are operations based on
simple convolution, or are useful with convolution.

## Functions

* [method@Image.conv]
* [method@Image.convf]
* [method@Image.convi]
* [method@Image.conva]
* [method@Image.convsep]
* [method@Image.convasep]
* [method@Image.compass]
* [method@Image.gaussblur]
* [method@Image.sharpen]
* [method@Image.spcor]
* [method@Image.fastcor]
* [method@Image.sobel]
* [method@Image.scharr]
* [method@Image.prewitt]
* [method@Image.canny]

## Enumerations

* [enum@Combine]
* [enum@Precision]
